| Home | Libraries | People | FAQ | More

## Struct template has_pointer_plus_bit

boost::intrusive::has_pointer_plus_bit

## Synopsis

    template<typename VoidPointer, std::size_t Alignment>
    struct has_pointer_plus_bit {
      static const bool value;
    };

## Description

This trait class is used to know if a pointer can embed an extra bit of information if it's going to be used to point to objects with an alignment of "Alignment" bytes.